> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing company



## OpenAPI

````yaml openapi/openapi.json put /api/companies/{id}
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/companies/{id}:
    put:
      tags:
        - Companies
      summary: Update an existing company
      operationId: b7f9d0719d086647ab3ae195220c1e0a
      parameters:
        - name: id
          in: path
          description: Company ID
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - name
              properties:
                name:
                  type: string
                  example: Updated Company Name
                email:
                  type: string
                  example: Updated Company Email
                  nullable: true
                latitude:
                  type: number
                  format: float
                  example: 52.520008
                  nullable: true
                longitude:
                  type: number
                  format: float
                  example: 13.404954
                  nullable: true
              type: object
      responses:
        '200':
          description: Company updated successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  data:
                    properties:
                      id:
                        type: integer
                      user_id:
                        type: integer
                      name:
                        type: string
                      email:
                        type: string
                      latitude:
                        type: number
                      longitude:
                        type: number
                    type: object
                type: object
        '404':
          description: Company not found
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````